[问题] PHPMyAdmin无法卸载

Web、Mail、Ftp、DNS、Proxy、VPN、Samba、LDAP 等基础网络服务
回复
cashlu
帖子: 142
注册时间: 2005-10-03 3:30
送出感谢: 0
接收感谢: 0
联系:

[问题] PHPMyAdmin无法卸载

#1

帖子 cashlu » 2006-03-27 19:15

我用apt-get remove phpmyadmin这个命令,出现错误提示:

cashlu@ubuntu:~$ sudo apt-get remove phpmyadmin
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
下列软件包将被【卸载】:
phpmyadmin
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 1 个软件包,有 1 个软件未被升级。
需要下载 0B 的软件包。
解压缩后将会空出 11.1MB 的空间。
您希望继续执行吗?[Y/n]y
(正在读取数据库 ... 系统当前总共安装有 79808 个文件和目录。)
正在删除 phpmyadmin ...
/var/lib/dpkg/info/phpmyadmin.prerm: line 12: db_get: command not found
dpkg:处理 phpmyadmin (--remove)时出错:
子进程·pre-removal script·返回了错误号·127
在处理时有错误发生:
phpmyadmin
E: Sub-process /usr/bin/dpkg returned an error code (1)


请问这个问题怎么解决?谢谢
cashlu
帖子: 142
注册时间: 2005-10-03 3:30
送出感谢: 0
接收感谢: 0
联系:

#2

帖子 cashlu » 2006-03-27 21:18

我打开新得利后,系统提示有损坏的包,但是这个包不能删除,删除的话会有子进程错误的信息。可以重新安装,但是安装之后,还是不能删除。
附件
Screenshot-1.png
Screenshot.png
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

#3

帖子 firehare » 2006-03-27 21:36

我看你有1个软件未被升级
看看先用
sudo apt-get update
sudo apt-get install -f
试试先把软件升级后再说!
我心无畏,源自于我心无知。
图片
cashlu
帖子: 142
注册时间: 2005-10-03 3:30
送出感谢: 0
接收感谢: 0
联系:

#4

帖子 cashlu » 2006-03-29 10:39

firehare 写了:我看你有1个软件未被升级
看看先用
sudo apt-get update
sudo apt-get install -f
试试先把软件升级后再说!
我试过了,没用,呵呵~~~~~~~有没有其他的方法?
从错误提示能不能看出来问题出在什么地方?谢谢
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

#5

帖子 firehare » 2006-03-29 13:13

你先看看是哪个包呀!
然后升级或删除该包时的错误提示是什么也一并帖出!

否则提供的信息太少无法进行判断!
我心无畏,源自于我心无知。
图片
cashlu
帖子: 142
注册时间: 2005-10-03 3:30
送出感谢: 0
接收感谢: 0
联系:

#6

帖子 cashlu » 2006-03-29 23:46

firehare 写了:你先看看是哪个包呀!
然后升级或删除该包时的错误提示是什么也一并帖出!

否则提供的信息太少无法进行判断!
我在第一个和第二个帖子里已经写的很明白了啊!无法删除的包是phpmyadmin,删除时的错误提示和屏幕抓图都有啊!
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

#7

帖子 firehare » 2006-03-30 9:31

cashlu@ubuntu:~$ sudo apt-get remove phpmyadmin
正在读取软件包列表... 完成
正在分析软件包的依赖关系树... 完成
下列软件包将被【卸载】:
phpmyadmin
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 1 个软件包,有 1 个软件未被升级。

你这1个软件是为什么未被升级?
你采取过什么措施?
是什么软件等等!
目前是否已经没有这个问题?
我心无畏,源自于我心无知。
图片
cashlu
帖子: 142
注册时间: 2005-10-03 3:30
送出感谢: 0
接收感谢: 0
联系:

#8

帖子 cashlu » 2006-03-31 0:33

没有被升级的哪个包是新的一个386内核,已经升级了,问题依旧存在,phpmyadmin还是不能卸载,错误提示也一样
头像
oneleaf
论坛管理员
帖子: 10237
注册时间: 2005-03-27 0:06
系统: Ubuntu 12.04
送出感谢: 7 次
接收感谢: 107 次

#9

帖子 oneleaf » 2006-04-02 21:10

重新安装一次phpmyadmin,可能与你手工删除过phpmyadmin的文件有关。
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

#10

帖子 eexpress » 2006-04-02 22:32

/var/lib/dpkg/info/phpmyadmin.prerm: line 12: db_get: command not found
可以看看这行是什么。这个应该是预处理删除的shell。就是系统删除之前,先调用的软件自己删除处理的部分。这样就知道是缺少了什么。然后如果认为是无关紧要的处理命令,可以修改这个文件,删除或者跳过这一行。

preinst和prerm应该就是对应的。可以对照分析。
● 鸣学
头像
firehare
论坛版主
帖子: 2625
注册时间: 2005-04-10 16:54
来自: 温州大学
送出感谢: 0
接收感谢: 2 次
联系:

#11

帖子 firehare » 2006-04-03 16:18

我心无畏,源自于我心无知。
图片
cashlu
帖子: 142
注册时间: 2005-10-03 3:30
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 cashlu » 2006-04-03 21:37

谢谢各位的帮助,问题我已经解决了,呵呵~~~~水平太差,只好把ubuntu重新装了一遍
回复

回到 “服务器基础应用”